Skip to content
Start here

List logo matches

brand_protection.v2.logo_matches.get(LogoMatchGetParams**kwargs) -> LogoMatchGetResponse
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/matches

Get paginated list of logo matches for a specific brand protection logo query

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str
minLength1
query_id: str
minLength1
download: Optional[str]
limit: Optional[str]
offset: Optional[str]
order: Optional[Literal["asc", "desc"]]

Sort order. Options: ‘asc’ (ascending) or ‘desc’ (descending)

One of the following:
"asc"
"desc"
order_by: Optional[Literal["matchedAt", "domain", "similarityScore", "registrar"]]

Column to sort by. Options: ‘matchedAt’, ‘domain’, ‘similarityScore’, or ‘registrar’

One of the following:
"matchedAt"
"domain"
"similarityScore"
"registrar"
ReturnsExpand Collapse
class LogoMatchGetResponse:
matches: List[Match]
id: int
domain: Optional[str]
matched_at: Optional[str]
query_id: int
registrar: Optional[str]
similarity_score: float
url_scan_id: Optional[str]
content_type: Optional[str]
image_data: Optional[str]
total: int
minimum0

List logo matches

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logo_match = client.brand_protection.v2.logo_matches.get(
    account_id="x",
    query_id="x",
)
print(logo_match.matches)
{
  "matches": [
    {
      "id": 0,
      "domain": "domain",
      "matched_at": "matched_at",
      "query_id": 0,
      "registrar": "registrar",
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "image_data": "image_data"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "id": 0,
      "domain": "domain",
      "matched_at": "matched_at",
      "query_id": 0,
      "registrar": "registrar",
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "image_data": "image_data"
    }
  ],
  "total": 0
}